package com.xdf.creative.base.vo.dt;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 园区活动 查询结果对象
 * </p>
 *
 * @author DeanYe
 * @date 2019-12-18
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "DtParkActivityQueryVo对象", description = "园区活动查询参数")
public class DtParkActivityWebVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "活动标题")
    private String title;

    @ApiModelProperty(value = "banner图")
    private String bannerPath;

    @ApiModelProperty(value = "活动内容")
    private String content;

    @ApiModelProperty(value = "企业id")
    private Long organizeId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "创建人id")
    private Long createUserId;

    @ApiModelProperty(value = "操作类型 0：初始 1：增加 2：修改 3：删除")
    private Integer operateType;

    private String userName;

    private String organizeName;


    private String nickName;

}