package com.xdf.creative.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 园区企业申诉文件
 * </p>
 *
 * @author lgw
 * @since 2020-04-20
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DtParkCompany对象", description = "园区企业申诉文件")
public class DtParkCompany extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "上传企业id")
    private Long organizeId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "上传用户id1")
    private Long createUserId;

    @ApiModelProperty(value = "文件地址")
    private String path;

    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "状态 0 不可用 1可用")
    private Integer state;

}
