package com.xdf.creative.module.service;

import com.xdf.creative.base.params.dt.DtActivityAttachmentQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.dt.DtActivityAttachmentQueryVo;
import com.xdf.creative.module.entity.DtActivityAttachment;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 园区活动板块附件 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
public interface DtActivityAttachmentService extends BaseService<DtActivityAttachment> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DtActivityAttachmentQueryVo getDtActivityAttachmentById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param dtActivityAttachmentQueryParam
     * @return
     */
    PageTool<DtActivityAttachmentQueryVo> getDtActivityAttachmentPageList(DtActivityAttachmentQueryParam dtActivityAttachmentQueryParam) throws Exception;

}
