package com.xdf.creative.base.params.dt;

import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 基本信息审核表 查询参数对象
 * </p>
 *
 * @author DeanYe
 * @date 2020-01-03
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DtInfoAuditQueryParam对象", description = "基本信息审核表查询参数")
public class DtInfoAuditQueryOrganizeIdParam extends QueryParam {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "企业id")
    private Long organizeId;

    @ApiModelProperty(value = "0 普通用户  1、企业  2、金融机构 3、投资机构 4、服务机构 5、园区 6、协（商会）  7、项目管理公司 8 区文创办 9 市文创办  99 公司后台管理")
    private Integer auditType;


}
