package com.xdf.creative.base.vo.dt;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 园区企业申诉文件 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-04-20
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "DtParkCompanyQueryVo对象", description = "园区企业申诉文件查询参数")
public class DtParkCompanyQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "上传企业id")
    private Long organizeId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "上传用户id1")
    private Long createUserId;

    @ApiModelProperty(value = "文件地址")
    private String path;

    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "状态 0 不可用 1可用")
    private Integer state;

    private String organizeName;

    private String nickName;

    private String userName;

}