package com.xdf.creative.module.service;

import com.xdf.creative.base.params.dt.DtParkCompanyQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.dt.DtParkCompanyQueryVo;
import com.xdf.creative.module.entity.DtParkCompany;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 园区企业申诉文件 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-04-20
 */
public interface DtParkCompanyService extends BaseService<DtParkCompany> {


    ApiResult add(DtParkCompany dtParkCompany);

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DtParkCompanyQueryVo getDtParkCompanyById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param dtParkCompanyQueryParam
     * @return
     */
    PageTool<DtParkCompanyQueryVo> getDtParkCompanyPageList(DtParkCompanyQueryParam dtParkCompanyQueryParam) throws Exception;

}
